***NEWLEADS.CMD
***Generate letters to prospective clients
SET TALK OFF
SET DEFA TO B
DO WHILE T
ERASE
STORE ' ' TO CHOICE

* MENU.FMT
@  1,19 SAY "New Sales Leads"
@  4, 0 SAY "+-------------------------------------------------"
@  4,50 SAY "+"
@  5, 0 SAY "."
@  5,50 SAY "."
@  6, 0 SAY ".         1..Add new prospects, send letter"
@  6,50 SAY "."
@  7, 0 SAY "."
@  7,50 SAY "."
@  8, 0 SAY ".         2..Modify old records"
@  8,50 SAY "."
@  9, 0 SAY "."
@  9,50 SAY "."
@ 10, 0 SAY ".         3..Exit"
@ 10,50 SAY "."
@ 11, 0 SAY "."
@ 11,50 SAY "."
@ 12, 0 SAY "+-------------------------------------------------"
@ 12,50 SAY "+"
@ 13, 1 SAY "Choose one of the above"
@ 13,25 GET choice PICTURE '!'
READ

DO CASE

CASE choice = '1'
ERASE
REMARK   Enter the date of the letter
STORE '        ' TO MDATE
@ 5,10 GET MDATE PICTURE '99/99/99'
READ
SET DATE TO &MDATE
DO ADDNEW.CMD

CASE choice = '2'
DO MODIFY.CMD

CASE choice = '3'
ERASE
REMARK      Exit to <s>ystem  <d>base   ?    
REMARK  Any other key returns you to the menu
WAIT TO ok  
DO CASE

CASE !(ok) = 'S'
QUIT

CASE !(ok) = 'D'
CANCEL

ENDCASE

OTHERWISE   
LOOP

ENDCASE

ENDDO
T TO ok  
DO CASE

CASE !(ok) = 'S'
QUIT

CASE !(ok) = 'D'